@import model._
@import model.forms.SetGmForm
@(team: Team, currentGM: Option[GMAssignmentWithPlayer], form: Form[SetGmForm], availablePlayers: Seq[Player])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
    @views.html.templates._common_headers(s"Set GM - ${team.tag}")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>Set GM - @team.tag</h3>
            <hr />

            <span>Current GM: @currentGM.map(_.player.fullName).getOrElse("None")</span>

            @if(form.hasGlobalErrors) {
                @for(error <- form.globalErrors) {
                    @for(msg <- error.messages) {
                        <p class="text-danger">@msg</p>
                    }
                }
            }

            @helper.form(action = routes.AdminController.submitSetGmForm(team.id)) {
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("season")) { (id, name, value, args) =>
                        <label for="@id">Season</label>
                        <input type="number" value="@value" id="@id" name="@name" class="form-control">
                    }
                    </div>

                    <div class="col-sm">
                    @helper.input(form("session")) { (id, name, value, args) =>
                        <label for="@id">Session</label>
                        <input type="number" value="@value" id="@id" name="@name" class="form-control">
                    }
                    </div>
                </div>

                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("oldGMReason")) { (id, name, value, args) =>
                        <label for="@id">Previous GM Departure Reason</label>
                        <select name="@name" id="@id" class="custom-select">
                            @for(opt <- Seq("Unspecified", "Retirement", "Hiatus", "Temporary (Interim Promotion)", "Ban")) {
                                @if(value.contains(opt)) {
                                    <option value="@opt" selected="selected">@opt</option>
                                } else {
                                    <option value="@opt">@opt</option>
                                }
                            }
                        </select>
                    }
                    </div>

                    <div class="col-sm">
                    @helper.input(form("newGM")) { (id, name, value, args) =>
                        <label for="@id">New GM</label>
                        <select name="@name" id="@id" class="custom-select">
                        @for(player <- availablePlayers.withFilter(p => !currentGM.exists(_.player.id == p.id))) {
                            @if(value.contains(player.id.toString)) {
                                <option value="@player.id" selected="selected">@player.fullName</option>
                            } else {
                                <option value="@player.id">@player.fullName</option>
                            }
                        }
                        </select>
                    }
                    </div>
                </div>

                <button type="submit" class="btn btn-success mt-2">Submit</button>
            }
        </div>
    </body>
</html>